#ifndef IDT_H
#define IDT_H

#define NUM_IDT		256
#define KERNEL_CS	8
#define KERNEL_PRIVILEGE	0

typedef struct _Idt
{
	unsigned short	offset_low;
	unsigned short	ss;
	unsigned		reversed : 5;
	unsigned		signature : 8;
	unsigned		dpl : 2;
	unsigned		present : 1;
	unsigned short	offset_high;
} Idt;

void init_idt();

#endif // IDT_H
