// String library
// Copyright (c) 2001, David H. Hovemeyer <daveho@cs.umd.edu>
// $Revision: 1.1.1.1 $

// This is free software.  You are permitted to use,
// redistribute, and modify it as specified in the file "COPYING".

#ifndef STRING_H
#define STRING_H

#include <stddef.h>

void* memset( void* s, int c, size_t n );
void* memcpy( void *dst, const void* src, size_t n );
size_t strlen( const char* s );
int strcmp( const char* s1, const char* s2 );

#endif // STRING_H
