#ifndef STDIO_H
#define STDIO_H

/* Some screen stuff.  */
/* The number of columns.  */
#define COLUMNS			80
/* The number of lines.  */
#define LINES			24
/* The attribute of an character.  */
#define ATTRIBUTE		7
/* The video memory address.  */
#define VIDEO			0xB8000

/* Variables.  */
/* Save the X position.  */
int xpos;
/* Save the Y position.  */
int ypos;
/* Point to the video memory.  */
volatile unsigned char *video;

void cls (void);
void itoa (char *buf, int base, int d);
void color_putchar( int c, int color );
void putchar (int c);
void printf (const char *format, ...);

#endif /* ! STDIO_H */
